Package es.imim.DISGENET.internal.enrichment

# Class FilterEnrichmentTask

java.lang.Object
org.cytoscape.work.AbstractTask
es.imim.DISGENET.internal.enrichment.FilterEnrichmentTask

All Implemented Interfaces:
  `org.cytoscape.work.Task`

public class FilterEnrichmentTask extends org.cytoscape.work.AbstractTask

## Field Summary

Fields
Modifier and Type
Field
Description
`org.cytoscape.work.util.BoundedInteger`
`numGeneMaximum`
`org.cytoscape.work.util.BoundedInteger`
`numGeneMinimum`
`String`
`ogPvalue`

### Fields inherited from class org.cytoscape.work.AbstractTask

`cancelled`

## Constructor Summary

Constructors
Constructor
Description
`FilterEnrichmentTask(EnrichmentCytoPanel enrichmentPanel, org.cytoscape.model.CyNetwork network, Integer lNitems, Integer hNitems, int[] indexCols)`

## Method Summary

Modifier and Type
Method
Description
`void`
`run(org.cytoscape.work.TaskMonitor taskMonitor)`

### Methods inherited from class org.cytoscape.work.AbstractTask

`cancel, getTaskIterator, insertTasksAfterCurrentTask, insertTasksAfterCurrentTask, setTaskIterator`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### numGeneMinimum

public org.cytoscape.work.util.BoundedInteger numGeneMinimum

### numGeneMaximum

public org.cytoscape.work.util.BoundedInteger numGeneMaximum

### ogPvalue

public String ogPvalue

## Constructor Details

### FilterEnrichmentTask

public FilterEnrichmentTask(EnrichmentCytoPanel enrichmentPanel, org.cytoscape.model.CyNetwork network, Integer lNitems, Integer hNitems, int[] indexCols) throws DisGeNetException

Throws:
  `DisGeNetException`

## Method Details

### run

public void run(org.cytoscape.work.TaskMonitor taskMonitor) throws Exception

Specified by:
  `run` in interface `org.cytoscape.work.Task`
Specified by:
  `run` in class `org.cytoscape.work.AbstractTask`
Throws:
  `Exception`